    001/* ========================================================================
    002 * JCommon : a free general purpose class library for the Java(tm) platform
    003 * ========================================================================
    004 *
    005 * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jcommon/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025 * in the United States and other countries.]
    026 *
    027 * ---------------
    028 * ObjectList.java
    029 * ---------------
    030 * (C)opyright 2003, 2004, by Object Refinery Limited and Contributors.
    031 *
    032 * Original Author:  David Gilbert (for Object Refinery Limited);
    033 * Contributor(s):   -;
    034 *
    035 * $Id: ObjectList.java,v 1.6 2005/11/14 10:56:42 mungady Exp $
    036 *
    037 * Changes
    038 * -------
    039 * 17-Jul-2003 : Version 1 (DG);
    040 * 13-Aug-2003 : Refactored to extend AbstractObjectList (DG);
    041 * 21-Oct-2004 : removed duplicate interface declarations and empty methods.
    042 * 22-Oct-2004 : Restored removed methods - see note in code (DG);
    043 *
    044 */
    045
    046package org.jfree.util;
    047
    048
    049/**
    050 * A list of objects that can grow as required.
    051 * <p>
    052 * When cloning, the objects in the list are NOT cloned, only the references.
    053 *
    054 * @author Thomas Morgner
    055 */
    056public class ObjectList extends AbstractObjectList {
    057
    058    /**
    059     * Default constructor.
    060     */
    061    public ObjectList() {
    062    }
    063
    064    /**
    065     * Creates a new list.
    066     *
    067     * @param initialCapacity  the initial capacity.
    068     */
    069    public ObjectList(final int initialCapacity) {
    070        super(initialCapacity);
    071    }
    072
    073    // NOTE:  the methods below look redundant, but their purpose is to provide public
    074    // access to the the get(), set() and indexOf() methods defined in the
    075    // AbstractObjectList class, for this class only.  For other classes
    076    // (e.g. PaintList, ShapeList etc) we don't want the Object versions of these
    077    // methods to be visible in the public API.
    078
    079    /**
    080     * Returns the object at the specified index, if there is one, or <code>null</code>.
    081     *
    082     * @param index  the object index.
    083     *
    084     * @return The object or <code>null</code>.
    085     */
    086    public Object get(final int index) {
    087        return super.get(index);
    088    }
    089
    090    /**
    091     * Sets an object reference (overwriting any existing object).
    092     *
    093     * @param index  the object index.
    094     * @param object  the object (<code>null</code> permitted).
    095     */
    096    public void set(final int index, final Object object) {
    097        super.set(index, object);
    098    }
    099
    100    /**
    101     * Returns the index of the specified object, or -1 if the object is not in the list.
    102     *
    103     * @param object  the object.
    104     *
    105     * @return The index or -1.
    106     */
    107    public int indexOf(final Object object) {
    108        return super.indexOf(object);
    109    }
    110
    111}